(function(global, mui) {
	Vue.filter("toNet", function(val) {
		if(val >= 10000) {
			val = Number(val / 10000);
		}
		return accounting.formatMoney(val, '', 3);
	});

	Vue.filter("toMoney", function(val) {
		if(val >= 10000) {
			val = Number(val / 10000);
		}
		return accounting.formatMoney(val, '', 2);
	});
	Vue.filter("times",function(num){ 
        var num = num.split('T')[0]; 
        return num;
    });
	vm = new Vue({
		el: ".mui-content",
		data: {
			wa: null,
			minSt: '',
			minEt: '',
			initDate: 0,
			nextStartDate: null,
			dx: null,
			dy: null,
			list: [],
			tabUp: 0,
			txt:'',
			isShow:false,
			isLogin:false,
			isIos:false,
			myData: {
				headers: {'Content-Type': 'application/json'},
				skipCount: 0,
				maxResultCount: 10,
				categoryId: null,
				filterText : '' ,//模糊查询
				sorting:''
			},
			listType: {
				url: BASE_appResource + "/QueryBiddingResourceList", //请求地址
				page: "skipCount", //分页参数名
				limit: "maxResultCount", //返回条数参数名
				acc: 10//每次增加几页 
				
			}
		},
		methods: {
			openPage: function(pId, pType) {
				console.log("pType..:"+pType)
				if(pType === -3){
					changePage('../../templates/prod/supply-info.html', '资源详情', {
						pId: pId,
						pType: pType
					});
				}else if(pType === 3){
					changePage('../../templates/prod/market-info.html', '资源详情', {
						pId: pId,
						pType: pType
					});
				}else{
					changePage('../../templates/prod/prod-info.html', '资源详情', {
						pId: pId,
						pType: pType
					});
				}
			}
		}
	})
	list = function() {
		
		return {
			
			upList: function(_type) {
				
				vm.nextStartDate = null;
				vm.myData.headers = {'Content-Type': 'application/json'};	
				this.result.items.forEach(function (item) {
					var reg = new RegExp("-", "g"); //创建正则RegExp对象
					var currTime = new Date(item.currentTime).getTime();
					var starTime = new Date(item.bidStartTime).getTime();
					var endTime = new Date(item.bidEndTime).getTime();	
					vm.initDate = currTime; 
					
					if(currTime < starTime){
						item['isShow'] = true;
						item['txt'] = '开始时间：'+ new Date(item.bidStartTime).pattern("yyyy-MM-dd hh:mm:ss");
						if (!vm.minSt || starTime < vm.minSt) { //最小等待开拍
							vm.minSt = starTime; 
						}
					}else if(currTime > endTime){
						item['isShow'] = false;
						item['txt'] = '已结束';
					}else if(starTime <= currTime <= endTime){
						item['isShow'] = false;
						item['txt'] = '结束时间：' + new Date(item.bidEndTime).pattern("yyyy-MM-dd hh:mm:ss");
						if (!vm.minEt || endTime < vm.minEt) { //最小等待开拍
							vm.minEt = endTime;
						}
					}					
					vm.list.push(item);
					
				});
				if(vm.list.length == 0){
                	vm.isShow = false
                }else{
                	vm.isShow = true
                } 
                vm.wa&& vm.wa.close();
                mui.fire(plus.webview.currentWebview().parent(),'sendwa',{}) 
				console.log('处理后的数据：'+JSON.stringify(vm.list))
				return closeList(_type, this.result.items.length);
			},
			resetList: function() {
				console.log("下拉刷新")
				vm.myData.skipCount = 0;
				vm.myData.headers = {'Content-Type': 'application/json'};
			},
			err: function(xhe, type, thr) {
				mui.fire(plus.webview.currentWebview().parent(),'sendwa',{})
				vm.wa&& vm.wa.close();
				if(mui.os.ios) {
					mui('#pullrefresh').pullRefresh().scrollTo(0,0,100);
				} else {
					mui.scrollTo(0, 100);
				}

			}
		}
	}()
	var db = new DB('xhguide',1024);
	db.execute("create table if not exists guide(isguide varchar(255))");
	//刷新列表
	var uplist = function(){
		vm.list = [];
		vm.myData.headers = {'Content-Type': 'application/json'};
		vm.myData.skipCount = 0;
		_init();
	}
	window.addEventListener("refreshList", function(e) {
		vm.list = [];
		vm.myData.skipCount = 0;
		_init();
	});
		/*
	 * 长监听
	 * */
	var setDate = function () {
   	
    	vm.initDate = vm.initDate+1000;
    	if ((vm.minSt && vm.initDate >= vm.minSt) || (vm.minEt && vm.initDate >= vm.minEt)) {
    		vm.minSt = "";
    		vm.minEt = "";
    		uplist(); 
    	}
    	
    	setTimeout(setDate,1000);
   }
	window.addEventListener('upList',function(e){
		console.log('切换:::'+e.detail.itemTab)
		if(e.detail.itemTab == 0){//拍卖场			
			vm.listType.url = BASE_appResource + "/QueryBiddingResourceList";
			uplist()
		}else if(e.detail.itemTab == 1){//招标场			
			vm.listType.url = BASE_appResource + "/QueryTenderingResourceList";
			uplist()
		}else if(e.detail.itemTab == 2){//预售			
			vm.listType.url = BASE_appResource + "/QueryBookResourceList";
			uplist()
		}else if(e.detail.itemTab == 3){//商城			
			vm.listType.url = BASE_appResource + "/QueryProductList";
			uplist()
		}else if(e.detail.itemTab == 4){//供需			
			vm.listType.url = BASE_appSupplyandDemandService + "/GetSupplyAndDemandsList";
			uplist()
		}
	})
	mui.plusReady(function() {
		vm.wa = plus.nativeUI.showWaiting("", {back: "none"});
		if(getState().token) {
			vm.isLogin = true; 
		}
		if(mui.os.ios){			
			vm.isIos = true
		}else{			
			vm.isIos = false
		}
//		mui.later(function(){
			_init();
//		},1000)
		setDate();
	});
})(window, mui)