(function(global, mui) {
	Vue.filter("toNet", function(val) {
		if(val >= 10000) {
			val = Number(val / 10000);
		}
		return accounting.formatMoney(val, '', 3);
	});

	Vue.filter("toMoney", function(val) {
		if(val >= 10000) {
			val = Number(val / 10000);
		}
		return accounting.formatMoney(val, '', 2);
	});

	vm = new Vue({
		el: ".mui-content",
		data: {
			loadingList: true,
			minSt: '',
			minEt: '',
			initDate: 0,
			nextStartDate: null,
			isIos: false,
			ios5: false,
			dx: null,
			dy: null,
			hotList: [],
			tabUp: 0,
			wa: null,
			txt:'',
			myData: {
				skipCount: 0,
				maxResultCount: 10
			},
			listType: {
				url: BASE_appResource + "/GetHotResourceList", //请求地址
				page: "skipCount", //分页参数名
				limit: "maxResultCount", //返回条数参数名
				acc: 10 //每次增加几页 
			}
		},
		methods: {
			openPage: function(pId, pType) {
				console.log("pType..:"+pType)
				changePage('../../templates/prod/prod-info.html', '资源详情', {
					pId: pId,
					pType: pType
				});
			}
		}
	})
	list = function() {
		vm.loadingList = true;
		return {
			upList: function(_type) {
				vm.nextStartDate = null;
				
				
				this.result.items.forEach(function (item) {
					var reg = new RegExp("-", "g"); //创建正则RegExp对象
					var currTime = new Date(item.currenTime).getTime();
					var starTime = new Date(item.bidstarttime.replace(reg, "/")).getTime();
					var endTime = new Date(item.bidendtime.replace(reg, "/")).getTime();	
					
					vm.initDate = currTime;
					
					if(currTime < starTime){
						item['txt'] = '等待开拍：'+ item.bidstarttime.replace(reg, "-");
						if (!vm.minSt || starTime < vm.minSt) { //最小等待开拍
							vm.minSt = starTime; 
						}
					}else if(currTime > endTime){
						item['txt'] = '已结束';
					}else if(starTime <= currTime <= endTime){
						item['txt'] = '结束时间：' + item.bidendtime.replace(reg, "-");
						if (!vm.minEt || endTime < vm.minEt) { //最小等待开拍
							vm.minEt = endTime;
						}
					}
					var itemArr = item.thumbnailResourceAttaches;
					if(itemArr) {
						if(itemArr.length == 2) {
							item.thumbnailResourceAttaches.push(itemArr[itemArr.length - 1]);
						} else if(itemArr.length == 1) {
							item.thumbnailResourceAttaches.push(itemArr[itemArr.length - 1]);
							item.thumbnailResourceAttaches.push(itemArr[itemArr.length - 1]);
						} else {
							item.thumbnailResourceAttaches.length = 3;
						}
					} else {
					for(var i = 0; i < 3; i++) {
						item.thumbnailResourceAttaches.push({
							url: "images/60x60.gif"
						});
					}
				}
					
					vm.hotList.push(item);
				});
				vm.loadingList = false;
				return closeList(_type, this.result.items.length);
			},
			resetList: function() {
				vm.myData.skipCount = 0;
			},
			err: function(xhe, type, thr) {
				vm.loadingList = false;
				vm.wa && vm.wa.close();
			}
		}
	}()
	var db = new DB('xhguide',1024);
	db.execute("create table if not exists guide(isguide varchar(255))");
	//刷新列表
	var uplist = function(){
		vm.hotList = [];
		vm.myData.skipCount = 0;
		_init();
	}
	window.addEventListener("refreshList", function(e) {
		vm.hotList = [];
		vm.myData.skipCount = 0;
		_init();
	});
		/*
	 * 长监听
	 * */
	var setDate = function () {
   	
    	vm.initDate = vm.initDate+1000;
    	if ((vm.minSt && vm.initDate >= vm.minSt) || (vm.minEt && vm.initDate >= vm.minEt)) {
    		console.log("--------------------触发长监听刷新-------------------");
    		vm.minSt = "";
    		vm.minEt = "";
    		uplist(); 
    	}
    	
    	setTimeout(setDate,1000);
    }
	mui.plusReady(function() {	
		setTimeout(_init(),2000);
		_init()
		setDate();
		if(mui.os.android) {
			vm.isIos = false;
			var pushManager = plus.android.importClass("com.igexin.sdk.PushManager");
			var context = plus.android.runtimeMainActivity();
			pushManager.getInstance().turnOnPush(context);
		} else {
			vm.isIos = true;
		}
		vm.ios5 = true;
	});
})(window, mui)