/**
 * 根据bar标签初始化子页面
 * @param {Webview} selfView : 当前也页面的webview,必参,如需向子页面面传递参数，需用params属性包裹
 * @param {Array} bartabDome : bar标签,eg:mui("#bartab a"),必参
 * @param {Object} styles : 样式参数,非必参
 * @param {Function} callback : 回调函数,非必参
 */
var InitSubpage = function(selfView, bartabDome, styles, callback) {
	var params =  selfView.params || {};
	selfView.params&& delete (selfView.params);
	
	switch(typeof styles) {//如果没有传样式对象，传了回调方法
		case 'function':
			callback = styles;
			styles = {};
			break;
	}
	this.styles = mui.extend({
		swipeBack: false,
		scrollIndicator: 'none', //是否显示滚动条
		scrollenabled: false,
		scalable: false, //是否可缩放窗口
		background: "transparent",
		popGesture: 'none', //是否右滑关闭
		bounce: 'none', //回弹效果
		softinputMode: "adjustResize" //默认：adjustPan
	}, styles);

	this.viewArr = (function(styles) { //初始化所有子页面集合
		var viewArr = [];
		mui.each(bartabDome, function(index, element) {
			element.setAttribute("data-index", index);
			var pathName = element.getAttribute("data-name");
			viewArr.push({
				id: element.getAttribute("data-wid"),
				url: element.getAttribute("data-wid"),
				styles: styles,
				extras: {
					mType: 'sub',
					pathName: pathName,
					params: params
				}
			});
		});
		return viewArr;
	}(this.styles));
	
	//初始化组件
	this.group = new webviewGroup(selfView.id, {
		items: this.viewArr,
		onChange: function(obj) { //切换事件
			callback && callback(obj);
			var target = bartabDome[parseInt(obj.index)];
			if(target.scrollIntoView) {
				target.scrollIntoView();
			}
		}
	});

}