/**
 * 初始化上下拉列表
 * @param {Object} downStyles : 下拉加载类型及样式
 *   style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
 *   color:'#2BD009', //可选，默认“#2BD009” 下拉刷新控件颜色
 *   height:'50px',//可选,默认50px.下拉刷新控件的高度,
 *   range:'100px', //可选 默认100px,控件可下拉拖拽的范围
 *   offset:'50px', //可选 默认50px,下拉刷新控件的起始位置
 *   auto: false,//可选,默认false.首次加载自动上拉刷新一次
 *   callback: fn(), //可选，选择后则重写下拉函数
 */
var _init = function (downStyles,swipeBack) {
	var contentnomore = '没有更多了';
	if (!downStyles || typeof downStyles != 'object') {downStyles = {}}
	else if ('contentnomore' in downStyles) {
		contentnomore = downStyles.contentnomore;
		delete downStyles.contentnomore;
	}
    mui.init({
    	swipeBack:(swipeBack?false:true),
    	gestureConfig:{
		    longtap: true, //默认为false
		    release:true
		   },
        pullRefresh: {
            container: '#pullrefresh',
            down: mui.extend({callback: down,offset: '50px'},downStyles),
            up: {
                contentrefresh: '正在加载...',
                contentnomore: contentnomore,
                callback: up
            }
        }
    });
    
    setTimeout(function() {
        mui('#pullrefresh').pullRefresh().pullupLoading();
    }, 200);
}


/**
 * 上拉加载具体业务实现
 */ 
function up(state) {
	
	http.post(vm.listType.url,vm.myData,20000,function(data){  
		console.log("data:"+JSON.stringify(data) + ";;; 请求参数" + JSON.stringify(vm.myData));
		mui('#pullrefresh').pullRefresh().refresh(true);
		state&&(mui('#pullrefresh').pullRefresh().endPulldownToRefresh());
		state&&(vm.list = []);
		list.upList.call(data,state);
		
	},function(xhr, type, thrown){ 
		state&&(mui('#pullrefresh').pullRefresh().endPulldownToRefresh());
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		document.querySelector('.mui-pull-top-pocket')&&(document.querySelector('.mui-pull-top-pocket').style.opacity=0); 
		document.querySelector('.mui-pull-bottom-pocket').style.opacity=1; 
		closeList(state, 0);
		if (list.err) {
			list.err(xhr, type, thrown);
		}
		//error_code_handle(xhr, type, thrown);
	});
}


/**
 * 下拉刷新具体业务实现
 */
function down() { 
	document.querySelector('.mui-pull-bottom-pocket').style.opacity=0; 
	document.querySelector('.mui-pull-top-pocket')&&(document.querySelector('.mui-pull-top-pocket').style.opacity=1);
	list.resetList();
	up(true); 
}


var closeList = function (state,sum) {
	state&&(mui('#pullrefresh').pullRefresh().endPulldownToRefresh());
	var page = vm.listType['page'],limit = vm.listType['limit'];
	document.querySelector('.mui-pull-bottom-pocket').style.opacity=1; 
	document.querySelector('.mui-pull-top-pocket')&&(document.querySelector('.mui-pull-top-pocket').style.opacity=0);
	if(sum == vm.myData[limit]) {
		vm.myData[page] = Number(vm.myData[page]+vm.listType['acc']);
		mui('#pullrefresh').pullRefresh().endPullupToRefresh();
	} else {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
}

var _closeList = function (state,total,current) {
	
	state&&(mui('#pullrefresh').pullRefresh().endPulldownToRefresh());
	var page = vm.listType['page'],limit = vm.listType['limit'];
	document.querySelector('.mui-pull-bottom-pocket').style.opacity=1; 
	document.querySelector('.mui-pull-top-pocket')&&(document.querySelector('.mui-pull-top-pocket').style.opacity=0);
	if(total>current) {
		vm.myData[page] = Number(vm.myData[page]+vm.listType['acc']);
		mui('#pullrefresh').pullRefresh().endPullupToRefresh();
	} else {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
}