(function ($) {
	Vue.filter("toPrice",function (item) {		
		var reg = /^[0-9]+.?[0-9]*$/;
	 	if (!reg.test(item)) {
	    	return item;
	  	}
		return "￥"+item.toFixed(2);
		
	});
	Vue.filter("toTypeName",function (item) {
		var str = '';
		switch (item){
			case 0:
				str = "竞价";
				break;
			case 1:
				str = "竞拍";
				break;
			case 2:
				str = "定向";
				break;
			case 3:
				str = "商城";
				break;
			case 5:
				str = "竞价";
				break;
			default:
				break;
		}
		return str;
		
	});
	
	Vue.filter("toDate",function (str) { 
		return new Date(str).pattern("yyyy-MM-dd HH:mm:ss"); 
	});
    var vm = new Vue({
        el: ".mui-content",
        data: {
        	loadingList: true,
        	showTime: false,showPass: false,
        	isPass: false,
        	isIos: false,
        	pass: "",
            res: {},
            oId: null
        },
        computed: {
        	/**
        	 * @description 
        	 * resourceOrderState: 17待确认; 0待付款; 1 || 16已付款; 7 && !isNoPush已收款; 2 || 7 && isNoPush 待提货; 4交易完成; 5已取消;
        	 */
        	typeImg: function () {
        		var imgUrl = '';
        		var status = this.res.resourceOrderState;
        		if (status === 2 || status === 7 && this.res.isNotPush) {
        			imgUrl = "../../images/img_waiting@2x.png"; // 待提货
        		} else if (status === 6 || status === 9) {
        			imgUrl = "../../images/o-thz.png"; // 提货中
        		} else if (status === 7 && !this.res.isNotPush) {
        			imgUrl = "../../images/o-yfk.png"; // 已收款
        		} else if (status === 1 || status === 16) {
        			imgUrl = "../../images/o-dsk.png"; // 已付款
        		}
        		switch (status){
        			case 0:
        				imgUrl = "../../images/o-dfk.png"; // 待付款
        				break;
        			case 4:
        				imgUrl = "../../images/o-cg.png"; // 交易完成
        				break;
        			case 5:
        				imgUrl = "../../images/o-yqx.png"; // 取消
        				break;
        			case 17:
        				imgUrl = "../../images/o-dqr.png"; // 待确认
        				break;
        			default:
        				break;
        		}
        		return imgUrl;
        	},
        	tipsText: function() {
        		var status = this.res.resourceOrderState;
        		var test = '';
        		switch (status){
        			case 1 || 16:
        				test = "等待卖家收款"; // 待付款
        				break;
        			case 6 || 9:
        				test = "等待结算"; // 提货中
        				break;
        			case 7 && (!this.res.isNotPush):
        				test = "等待卖家释放货权"; // 待确认
        				break;
        			case 17:
        				test = "等待确认"; // 待确认
        				break;
        			default:
        				break;
        		}
        		return test;
        	}
        },
        methods: {
        	confirmReceipt: function () {
        		if (this.pass.trim() == "") {return;}
        		
        		var ws = plus.nativeUI.showWaiting("", {
					back: "none"
				});
        		http.post(BASE_appOrder+"/AppConfirmReceipt",{
        			transactionPassword: vm.pass,
					id: vm.oId
        		},function (data) {
        			ws.close();
        			vm.pass = '';
        			if (!data.result.isHavePayPassword) {
        				plus.nativeUI.toast("未设置交易密码",{verticalAlign:"center",duration:"long"});
        				return;
        			}
        			
        			vm.hidePass();
        			vm.showPass = false;
        			var curr = plus.webview.currentWebview();
        			mui.fire(curr.opener(),"updateData");
        			getInfo(curr.oId,curr.userNotificationId || "");
        		},function(xhr,type,thr) {
        			ws.close();
        			vm.pass='';
        			var msg = JSON.parse(xhr.responseText).error.message || '提交失败了，重新输入试试';
	            	plus.nativeUI.toast(msg,{verticalAlign:"center",duration:"long"});
        		});
        	},
        	passfilter: function () {
        		passFilter();
        	},
        	hidePass: function () {
        		$("body")[0].classList.remove("overHidden");
        		this.isPass = !this.isPass;
        	},
        	showdate: function () {
        		showDate();
        	},
        	callPhone: function (phone) {
        		if (plus) {
        			plus.device.dial( phone, true);
        		}
        	},
        	openPageInfo:function(i){
        		if(i == 3){
        			changePage('../prod/market-info.html','资源详情',{pId:this.res.resourceId,pType: this.res.orderSourceType});
        		}else{
        			changePage('../prod/prod-info.html','资源详情',{pId:this.res.resourceId,pType: this.res.orderSourceType});
        		}
        	},
        	openPage: function (type) {
        		switch (type){
//      			case 'prod':
//      				changePage('../prod/prod-info.html','资源详情',{pId:this.res.resourceId,pType: this.res.orderSourceType});
//      				break;
        			case 'see':
        				setStatistic("searchPickUp");
        				changePage("see-order.html","提货单",{oId:this.oId});
        				break;
        			case 'child':
        				changePage('order-child-info.html','子项详情',{list: this.res.resourceItemList ,mySumPrice: this.res.settlementAmount});
        				break;
        			case 'pass':
        				changePage("../edit/edit-tran-pass.html", "交易密码", {
							state: 2
						});
        				break;
        			case 'pay':
        				setStatistic("payNow");
        				changePage('/templates/prod/confirm-pay.html','订单支付',{
        					list: this.res.resourceItemList,
        					mySumPrice: this.res.settlementAmount,
        					resourceDetail:this.res,
        					order: true,
        					cashDeposit: this.res.cashDeposit
        				});
        				break;
        			default:
        				return;
        		}
        	},
			//下载文件
        	downloadWord:function(val){
        		var _url = val;
        		downloadFile.downWgt(_url);
        	}
        }
    });
    
    mui.back = function () {
    	if (vm.isPass) {
    		return vm.hidePass();
    	}else {
    		journal.dowPage.call(2);
    		plus.webview.close(plus.webview.currentWebview(),"slide-out-right",200);
    	}
    }
    
    var getInfo = function (oId, userNotificationId,isIndividualPush) {
    	vm.loadingList = true;
    	http.post(BASE_appOrder+"/QueryResourceOrderById",{
    		id: oId,
    		userNotificationId: userNotificationId || "",
    		isIndividualPush: isIndividualPush
    	},function(data){
    		console.log("订单："+JSON.stringify(data));
    		vm.loadingList = false;
    	  	vm.res = data.result || {};
    	  	if (vm.showTime) {
    	  		showDate();
    	  	}else if (vm.showPass) {
    	  		passFilter();
    	  	}
    	},function (xhr, type, thr) {
    		vm.loadingList = false;
			plus.nativeUI.toast("加载失败,请重新刷新");
    	});
    }
    
    var passFilter = function () {
    	setStatistic("confirmReceipt");
    	pullfreshPage('/templates/order/order-trade-frame.html', '/templates/order/order-trade.html', '提货详情',{
        	contractId:vm.oId, 
        	bottom: 49,
       });
    }
    
    var takeDelivery = function (time) {
    	var ws = plus.nativeUI.showWaiting("请稍等", {
			back: "none"
		});
    	http.post(BASE_appOrder+"/BuyersTakeDelivery",{
    		deliveryTime: time,
    		id: vm.oId
    	},function(data) {
    		ws.close();
    		plus.nativeUI.toast("提货成功");
    		var curr = plus.webview.currentWebview();
    		vm.showTime = false;
    		mui.fire(curr.opener(),'upList');
    		return getInfo(curr.oId,curr.userNotificationId || "");
    	},function (xhr,type,thr) {
    		ws.close();
    		plus.nativeUI.toast("操作失败，重新提货试试");
    		showDate();
    	});
    }
    
    var showDate = function () {
    	setStatistic("toPickUp");
    	var options = {
			type:"date",
			beginDate: new Date(),
			value: new Date().pattern("yyyy-MM-dd")
		};
    	var picker = new $.DtPicker(options);
		picker.show(function(rs) {
			takeDelivery(rs.text);
			picker.dispose();
		});
    }
    
    
    $.plusReady(function () { 
    	if(mui.os.ios){			
			vm.isIos = true
		}else{			
			vm.isIos = false
		}
    	setStatistic("orderDetail");
    	var curr = plus.webview.currentWebview();
    	vm.showTime = curr.showTime;
    	vm.showPass = curr.showPass;
    	vm.oId = curr.oId;
        getInfo(curr.oId,curr.userNotificationId || "",curr.isIndividualPush || false);
        
        mui(".mui-content").on("touchmove",".notScroll",function(e) {
			e.preventDefault();
		},false);
        
        window.addEventListener("updateData",function (e) {
        	getInfo(curr.oId,curr.userNotificationId || "",curr.isIndividualPush || false);
        	mui.fire(curr.opener(),"updateData");
        });
        window.addEventListener("updateState",function (e) {
        	vm.res.isHavePayCode = true;
        	vm.$nextTick(function(){
        		passFilter();
        	});
        });
        
    });
})(mui)