(function ($) {
	Vue.filter("toPrice",function (item) { 
		 var reg = /^[0-9]+.?[0-9]*$/;
		  if (!reg.test(item)) {
		    return item;
		  }
		
		return "￥"+item;
		
	});
    var vm = new Vue({
        el: "#app-content",
        data: {
        	disposalMode:'',
            availableamount: 0, // 可用保证金
            mySumPrice: 0, // 要报价的金额
            resourceDetail: {}, // 资源详情
            hasEnoughMoney: void 0, // 是否有足够的保证金
            list: [], // 资源子项列表
            pageType: 1, // 1-资源报价支付 2-订单支付
            cashDeposit: 0, // 保证金
            isMarket:false//是否是商场资源购买
        },
        methods: {
            // 获取当前用户的保证金
            getMyMarginInfo: function (cb) {
                http.post(BASE_appWalletService + "/GetMyMarginInfo", {}, function (data) {
                    vm.availableamount = data.result.availableamount;
                    cb && cb();
                }, true, "数据加载中...");
            },
            pay: function () {
            	console.log('pageType'+vm.pageType)
                if (vm.pageType == 1) {
                    vm.pay4ResourceOffer();
                } else if (vm.pageType == 2) {
                    vm.pay4Order();
                }
            },
            // 资源报价的支付
            pay4ResourceOffer: function() {
                // 如果有足够的钱  进行报价操作
                if (vm.hasEnoughMoney) {
                    var biddingItemInfo = [];
                    for (var i = 0; i < vm.list.length; i++) {
                        var item = vm.list[i];
                        biddingItemInfo.push({
                            ids: item.ids,
                            officePrice: item.myPrice
                        });
                    }
                    console.log('id:'+vm.resourceDetail.id)
                    console.log('mySumPrice:'+vm.mySumPrice)
                    console.log('disposalMode:'+vm.disposalMode)
                    console.log('biddingItemInfo:'+JSON.stringify(biddingItemInfo))
                    // 请求报价接口
                    http.post2(BASE_appBidding + "/OfficePriceForMerge", {
                        resourceId: vm.resourceDetail.id,
                        officePrice: vm.mySumPrice,
                        biddingItemInfo: biddingItemInfo,
                        disposalMode:vm.disposalMode
                    }, function (data) { 
                        if (data.result) {
                            $.toast("报价成功!"); 
                            mui.fire(plus.webview.currentWebview().opener().opener(), 'reloadResourceDetail');
                            mui.fire(plus.webview.getWebviewById('/side.html'),'reloadNum',{});
                            plus.webview.close(plus.webview.currentWebview().opener(), "none", 0);
                            mui.later(function () {
                                mui.back();
                            }, 300);
                        } else {
                            $.toast("报价失败!");
                        }
                    }, function(xhr,type,thr) {
                    	error_code_handle(xhr,type,thr);
                    });
                } else { // 如果没有足够的钱，提示并跳转回去
                    $.toast("请确认到账后再次报价",{ duration:3000});
                    mui.fire(plus.webview.currentWebview().opener().opener(), 'reloadResourceDetail');
                    plus.webview.close(plus.webview.currentWebview().opener(), "none", 0);
                    mui.later(function () {
                        mui.back();
                    }, 300);
                }
            },
            // 订单支付
            pay4Order: function() {
                http.post(BASE_appOrder + "/BuyerPaycomplete", {
                    id: vm.resourceDetail.id, // 此时的id是订单id
                }, function (data) {
                    $.toast('交易成功！到账后订单状态将改为"已付款"',{ duration:3000});                
                    if(vm.isMarket){
                    	mui.fire(plus.webview.currentWebview().opener().opener(), "updateData");
                    	mui.fire(plus.webview.getWebviewById('/side.html'),'reloadNum',{});
						plus.webview.currentWebview().opener().close("none",0);
                        mui.later(function () {
                            mui.back();
                        }, 300);
                    }else{
                    	mui.fire(plus.webview.currentWebview().opener(), "updateData");
                        mui.later(function () {
                            mui.back();
                        }, 300);
                    }
                }, true,"请求提交中...");


            }
        },
        created: function () {
        },
    });

    mui.init({
        swipeBack: false
    });

    $.plusReady(function () {
    	plus.key.hideSoftKeybord();
        var curr = plus.webview.currentWebview();
        vm.list = curr.list; // 资源子项列表
        vm.mySumPrice = curr.mySumPrice; // 我的总报价
        vm.cashDeposit = curr.cashDeposit; // 保证金
        vm.disposalMode = curr.disposalMode,
        vm.resourceDetail = curr.resourceDetail; // 资源详情
        vm.pageType = curr.order ? 2 : 1; // 判断页面类型
        vm.isMarket = curr.isMarket;//判断是否是商场资源购买
        if (vm.pageType == 1) {
            // 查询保证金
            vm.getMyMarginInfo(function () {
                //						vm.availableamount = 0;
                // 是否有足够的保证金
                vm.hasEnoughMoney = vm.cashDeposit <= vm.availableamount;
            });
        }

    });
})(mui)
