(function(mui) {
	mui.init({
		gestureConfig:{
		   doubletap: false, //默认为false
		   longtap: false, //默认为false
		   isOutsideSeller:null,
		   companyType: '', // 公司身份类型
		}
	});
	var dateReg = new RegExp("-", "g");
	
	Vue.filter("toTime", function(str) {
		var val = '';
		if (!str) {return val;}
		val = str.replace(dateReg, "/");
		return new Date(val).pattern("HH:mm:ss"); 
	});
	Vue.filter("toDateMD", function(str) {
		var val = '';
		if (!str) {return val;}
		val = str.replace(dateReg, "/");
		return new Date(val).pattern("MM-dd");  
	});
	Vue.filter("toPhone", function(str) {
		var phone = str;
		if(!getState().token && phone) {
			return phone.slice(0, 3) + "****" + phone.slice(-3);
		}
		return phone;
	});
	Vue.filter("toUserName", function(str) {
		var val = str;
		return val.substr(0, 2) + "****" + val.substr(-2);
	});
	Vue.filter("toPrice", function(item) {
		var reg = /^[0-9]+.?[0-9]*$/;
		if(!reg.test(item)) {
			return item;
		} else if(item.toString().indexOf('.') != -1) {
			if(item.toString().split(".")[1].length > 2) {
				item = Number(item).toFixed(2);
			}
		}

		return '￥' + item;
	});
	Vue.filter("times",function(num){ 
        var num = num.split('T')[0]; 
        return num;
    });
	var vm = new Vue({
		el: '.mui-content',
		data: {
			loadingList: true,
			imgsetw: 0,
			topBtn: false,
			login: false,
			share: false,
			popup: false,
			popupType: 4,
			pId: null,
			pType: null,
			infoView: true,		
			res: {}, // 资源信息
			result:{},//判定权限
			companyName:'',
			isIndividual:false,
		   	isEnterprise:false,
		   	isIdentity:false,
		   	isIos:false,
		   	tab:1
		},
		watch:{
			loadingList :function(i){
				if(!i){
					vm.$nextTick(function(){
						var mySwiper = new Swiper('.swiper-container',{
							loop: false,
							effect: 'slide',
							slidesPerView: 3,
							speed: 500,  
							touchRatio : 0.5, 
						}); 
					})
				}
			}
		},
		methods: {		
			up:function(i){
				vm.tab = i
			},
			downloadWord:function(val){
				var _url = val;
				downloadFile.downWgt(_url);
			},
			popupToggle: function(index) {
				mui.later(function() {
					vm.popup = !vm.popup;
					if(index) {
						vm.popupType = index;
						btnStatistic(index);
					}
				}, 100)
			},
			changeTrue:function(){//跳认证入口
				vm.isEnterprise = false; 
				vm.isIndividual = false;
				vm.isIdentity = false;
				changePage('/templates/user/idenfity/identify-authentication.html','身份认证',{upgrade:false})
			},
			changeTrueOne:function(){//跳升级入口
				vm.isEnterprise = false;
				vm.isIndividual = false;
				vm.isIdentity = false;
				changePage('/templates/user/idenfity/identify-authentication.html','身份认证',{upgrade:true})				
			},
			changeFalse:function(){
				vm.isEnterprise = false;
				vm.isIndividual = false;
				vm.isIdentity = false;
			},
			buy: function(id, cashDeposit) {
				getInfoOne(function(){
					if(getState().token) {
						if(vm.res.isAllowNotCompanyBuy && vm.result.userAuthenticationType!=0 || vm.result.userAuthenticationType ==3){
							//去购买--订单确认
							changePage('/templates/prod/prod-confirm.html','确认订单',{
	        					marketId: vm.res.id	        					
	        				}); 
						}else{
					   		if(vm.result.userAuthenticationType==2){
						        //弹窗：看看别的资源
						        vm.isIndividual = true
						    }
						    if(vm.result.userAuthenticationType==1){
						        //弹窗：认证升级企业用户
						        vm.isEnterprise = true
						    }					    
						}
						if(vm.result.userAuthenticationType==0){
							if(vm.result.auditType==1){
						        //审核中
								//您的认证信息尚在审核中，请耐心等待
								mui.toast('您的认证信息尚在审核中，请耐心等待')
					   		}
					    	if(vm.result.auditType==2){
					        	//审核失败
								//您的认证信息审核失败，请重新上传资料
								mui.toast('您的认证信息审核失败，请重新上传资料')
					    	}else if(vm.result.auditType==-1){
					        	//未认证	（新用户，根本就没有提交过认证信息）		跳认证入口
								vm.isIdentity = true
					    	}  
					   		
						}							
					} else {
						pullfreshPage('../user/login-frame.html', '../user/login.html', '登录',{});
					}
				}); 
				
			},		
			shareToggle: function() {
				this.share = !this.share;
			},
			popupToggle: function(index) {
				mui.later(function() {
					vm.popup = !vm.popup;
					if(index) {
						vm.popupType = index;
						btnStatistic(index);
					}
				}, 100)
			},
			shareTap: function(id, ex) {
				var uri = '';
				var str = "";
				if(this.res.thumbnailProductAlbums) {
					uri = this.res.thumbnailProductAlbums[0].url;
					str = this.res.name;
				} else {
					uri = this.res.imgUrl;
					str = this.res.name;
				}

				var reg = new RegExp("h_500,w_500", "g"); //创建正则RegExp对象  
				var stringObj = uri;
				uri = stringObj.replace(reg, "h_100,w_100");           
            	var urlLine = COMMON_URL+'/ShoppingMall/ListedResourcesDetails?menu=ShoppingMall&productId' + this.pId;               
				var sObj = {
					url: urlLine,
					title: plus.webview.currentWebview().pathName,
					img: uri,
					content: str
				}
				shareAction(sObj, id, ex);
				mui.later(function() {
					vm.shareToggle();
				}, 500);
			},
			//文件下载
			downloadWord:function(val){
				var _url = val;
				downloadFile.downWgt(_url);
			}
		}
	}); 
 

	var isType = function() {
		if(vm.res.resourcesType == 1) { //竞拍
			return ["winBidFlowAcu", "bookSpecificationAcu", "auctionNoticeAcu", "warmTipAcu"];
		} else if(vm.res.resourcesType == 4) { //预售
			return ["winBidFlowPre", "bookSpecificationPre", "auctionNoticePre", "warmTipPre"];
		} else { //竞价
			return ["winBidFlowBid", "bookSpecificationBid", "auctionNoticeBid", "warmTipBid"];
		}
	}

	var btnStatistic = function(index) {
		var arr = isType();
		if(index == 1) {
			setStatistic(arr[0]);
		} else if(index == 2) {
			setStatistic(arr[1]);
		} else if(index == 3) {
			setStatistic(arr[2]);
		} else if(index == 5) {
			setStatistic(arr[3]);
		}
	}

	var getInfo = function(pId, pType, userNotificationId, isIndividualPush) {
		vm.loadingList = true;
		http.post(BASE_appResource + "/GetProductDetailById", { 
			id: pId,
			userNotificationId: userNotificationId || "",
			isIndividualPush: isIndividualPush || false
		},10000, function(data) { 
			console.log('商场资源详情data：'+JSON.stringify(data)) 
			vm.loadingList = false;
			if (!data.result) {
				plus.nativeUI.toast("加载失败,重新访问试试~",{verticalAlign:"center"});
				mui.back();
				return;
			}						
			vm.res = data.result; 
			vm.infoView = false;
			vm.$nextTick(function() {//图片集合
				if(mui('.mui-slider') && data.result.productAlbums) {
					if(data.result.productAlbums.length < 2) {
						return;
					}
					var gallery = mui('.mui-slider');
					gallery.slider({
						interval: 3000
					});
				}
			});

		}, function(xhr, type, thr) {
			plus.nativeUI.toast("加载失败,重新访问试试~",{verticalAlign:"center"});
			vm.loadingList = false; 
			mui.back();
		});
	}
	
	var getInfoOne = function(callback){
		var ws = plus.nativeUI.showWaiting();
		http.post(BASE_appUser + "/GetUserAuthorizationInfo", {},function(data) {
			ws.close()
			vm.result = data.result;		
			callback&&callback();
		}, function(xhr, type, thr) {
			ws.close()
			mui.toast("获取用户失败");
		});
	}
	mui('.mui-scroll-wrapper').scroll({
		indicators: true //是否显示滚动条
	});
	mui.plusReady(function() {
		if(mui.os.ios){			
			vm.isIos = true
		}else{			
			vm.isIos = false
		}
		if(getState().token){
			vm.login = true;
			getInfoOne()
		}
		
		var curr = plus.webview.currentWebview();
		curr.setStyle({
			bounce: "none",
			background: "#f4f4f4"
		});
		vm.imgsetw = mui(".mui-content")[0].offsetWidth;
		vm.pId = curr.pId;
		vm.pType = curr.pType;  
		getInfo(vm.pId, vm.pType, curr.userNotificationId || "",curr.isIndividualPush || false);

		window.addEventListener("loginRefresh", function(e) {
			vm.login = e.detail.login;
		});

		// 重新加载数据
		window.addEventListener("reloadResourceDetail", function() {
			getInfo(curr.pId, curr.pType);
			getInfoOne()
		});
		window.addEventListener("updateData",function (e) {
			getInfo(curr.pId, curr.pType);
			getInfoOne()
        });
		mui(".mui-content").on("touchmove", ".article-mask", function(e) {
			e.preventDefault();
		}, false);
		
		var agent = navigator.userAgent.toLowerCase();
		var iLastTouch = null;
		if (agent.indexOf("iphone") >= 0 || agent.indexOf("ipad") >= 0) {
		    document.body.addEventListener("touchend", function (event) {
		        var a = new Date().getTime();
		        iLastTouch = iLastTouch || a + 1;
		        var c = a - iLastTouch;
		        if (c < 500 && c > 0) {
		            event.preventDefault();
		            return false;
		        }
		        iLastTouch = a
		    }, false);
		};
		
	});

})(mui)