var $ = mui;
Vue.filter("toPrice",function (item) {
	 var reg = /^[0-9]+.?[0-9]*$/;
	  if (!reg.test(item)) {
	    return item;
	  }else if (item.toString().indexOf('.') != -1) {
	  		if (item.toString().split(".")[1].length>2) {
	  			item = Number(item).toFixed(2);
	  		}
	  }
	return "￥"+item;
	
});
var vm = new Vue({
	el: "#app",
	data: {
		isRegister: false, // 是否同意
		listChange:[],
		disposal:'',//选择模式
		disposalOld:'',
		disposalNum:0, //模式id
		disposalNumOld:0,  
		hsum: 300,
		list: [],
		cashDeposit: null,
		pId: null,
		isSplit:false,
		isBiddingNotPayDeposit:false,
		resourceDetail: {
			resourcesType: -1 // 资源类型  1-竞拍
		}, // 资源详情
		currMaxSumPrice: 0, // 应该报最低的总价
		currentSumStartPrice: 0, // 总的起拍价
		everBidIncrementTotal: 0,//总幅度
		nRange: 0, // 加价幅度的系数
		mySumPrice: 0, // 当前的总报价
		differencePrice:0 ,//差价
		myPriceTotal:0//子项总计和
	},
	watch: {
		'nRange': function(val) {
			this.setRecommandPrice();
		}
	},
	methods: {
		payNotice:function(){
			changePage('payNotice.html','竞买须知',{resourceId:vm.resourceDetail.id})
		},
		changeRule: function() {
			this.isRegister = !this.isRegister;
		},
		setRecommandPrice:function(){
	        if ((vm.resourceDetail.resourcesType == 1 || (vm.resourceDetail.resourcesType == 5 && !vm.resourceDetail.isFirstOfferPrice))&&((vm.disposalNum == 1 && !vm.resourceDetail.isIgnoreRangeWhenCharge) || vm.disposalNum == 3)  && vm.disposalNum == vm.disposalNumOld) {
	            //如果是危废 减价
	            if (vm.disposalNum == 3 && vm.resourceDetail.isHazardousWaste) {
	                // 判断存在上一次报价-减价幅度 <=0 的子项
	                for (var ind in vm.list) {
	                    if (vm.list[ind].oldPrice - vm.list[ind].everBidIncrement <= 0) {
	                       mui.toast("请切换报价模式");
	                        return;
	                    }
	                }
	            }
	
	            $.each(vm.list, function (index, item) {
	                var bidPrice;
	                //加价幅度
	                if (vm.disposalNum == '1' && !vm.resourceDetail.isIgnoreRangeWhenCharge) {
	                    // 加价幅度推荐报价公式＝每个子项报价+加价幅度*梯度，无上限；
	                    bidPrice = item.oldPrice + item.everBidIncrement * vm.nRange;
	                    vm.list[index].myPrice = Math.ceil(Number(bidPrice).toFixed(3) * 100) / 100; // 保留两位并进位
	                } else if (vm.disposalNum == '3') { //减价
	                    // 减价幅度推荐报价公式＝每个子项报价-减价幅度*梯度，最小=0
	                    bidPrice = item.oldPrice - item.everBidIncrement * vm.nRange <= 0 ? 0 : item.oldPrice - item.everBidIncrement * vm.nRange;
	                    vm.list[index].myPrice = Math.floor(Number(bidPrice).toFixed(3) * 100) / 100; // 保留两位并进位
	                }
	            });
	            this.setTotalPrice();
	        }

		},
		// 设置当前的总报价	
	    setTotalPrice :function(){
	    	    // 计算差多少钱可以报价
    	    var _this = this;
    	    
    	     this.$nextTick(function() {
	    		setTimeout(function() {	    		
	    			var mySumPrice = 0;
			        if (_this.list && vm.mySumPrice != null) {
			        	 for (var ind in  _this.list) {
	                    	mySumPrice += (_this.list[ind].myPrice * _this.list[ind].number);	                            
	                    }
			        	console.log('mySumPrice:'+mySumPrice)
			            var everBid_Total = 0;
			            if ((vm.resourceDetail.resourcesType == 1 || (vm.resourceDetail.resourcesType == 5 && !vm.resourceDetail.isFirstOfferPrice))&&((vm.disposalNum == 1 && !vm.resourceDetail.isIgnoreRangeWhenCharge) || vm.disposalNum == 3)  && vm.disposalNum == vm.disposalNumOld){  // 如果vm.resourceDetail.currentPrice有值  说明竞拍或者多次竞价非首次
			                if (vm.disposalNum == vm.disposalNumOld) { //上次报价处置模式=本次报价处置模式
			                    if (vm.disposalNumOld == 1) { //加价
			                        if (!vm.resourceDetail.isIgnoreRangeWhenCharge) { //如果 不忽略 加价幅度
			                        	mySumPrice = 0;
			                            for (var ind in _this.list) {
			                            	mySumPrice += (_this.list[ind].myPrice * _this.list[ind].number);
			                                var val = _this.list[ind];
			                                if (val.oldPrice + val.everBidIncrement > _this.list[ind].myPrice) {//上次报价+加价幅度>本次报价
			                                    everBid_Total += (val.oldPrice + val.everBidIncrement - _this.list[ind].myPrice) * val.number;//差价+=（上次报价+加价幅度-本次报价）*数量
			                                }
			                                
			                            }
			                            console.log('mySumPrice:'+mySumPrice)
			                        }
			                    } else if (vm.disposalNumOld == 3) { // 上次报价处置模式=3  减价
			                        // 判断存在上一次报价-减价幅度 <=0 的子项
			                        var isHave = false;
			                        mySumPrice = 0;
			                        for (var ind in  _this.list) {
			                        	mySumPrice += (_this.list[ind].myPrice * _this.list[ind].number);
			                            if ( _this.list[ind].oldPrice -  _this.list[ind].everBidIncrement <= 0) {
			                                isHave = true;
			                                break;
			                            }
			                        }
			                        console.log('mySumPrice:'+mySumPrice)
			                        if (vm.resourceDetail.isHazardousWaste && isHave) { //如果是危废且有上一次报价-减价幅度 <=0 的子项
			                            everBid_Total = vm.mySumPrice;// 差价= 我的报价  只能切换模式
			                        } else {
			                        	 mySumPrice = 0;
			                            for (var ind in _this.list) {     // 循环子项
			                            	mySumPrice += (_this.list[ind].myPrice * _this.list[ind].number);
			                                var val = _this.list[ind];
			                                var min = val.oldPrice - val.everBidIncrement;  // 上一次报价-减价幅度
			                                if (min < _this.list[ind].myPrice) {   // min  < 当前报价
			                                    if (!vm.resourceDetail.isHighOfferOwner && min < 0) { // 招标 && min < 0  报价只能是0
			                                        everBid_Total += _this.list[ind].myPrice * val.number; // 差价 += 当前报价 * number
			                                    } else {
			                                        everBid_Total += (_this.list[ind].myPrice - min) * val.number; //正常减价  差价 += （当前报价 - min）* number
			                                    }
			                                }
			                            }
			                            console.log('mySumPrice:'+mySumPrice)
			                        }
			                    }
			                }
			            }
			            vm.differencePrice = everBid_Total > 0 ? everBid_Total : 0; 
			            console.log('differencePrice:'+vm.differencePrice)
			            _this.mySumPrice = mySumPrice;
			            console.log( 'mySumPrice:'+_this.mySumPrice)
			        }  
		        },200)
	    	})
	    },
		// 提交报价
		submitPrice: function() {
			plus.key.hideSoftKeybord();
			if(!this.isRegister){
				mui.toast("您还未勾选“我已阅读并同意竞买须知”",{duration: 3000})
				return false;
			}
			
		    if (!vm.disposalNum) {
		            mui.toast("请选择报价模式",{duration: 3000});
		            return;
		        }
		        if ((vm.disposalNum == 1 || vm.disposalNum == 3) && vm.resourceDetail.isHighOfferOwner && vm.mySumPrice <= 0) {
		            mui.toast("报价必须是正整数",{duration: 3000});
		            return;
		        }
		
		        for (var i = 0; i < vm.list.length; i++) {
		            var item = vm.list[i];
		            // 判断是否为数字
		            if (item.myPrice == null) {
		                mui.toast("每一项都必须填写报价",{duration: 3000});
		                return;
		            }
		            if (item.myPrice < 0) {
		                mui.toast("填写价格必须为正数",{duration: 3000});
		                return;
		            }
		            //危废 收费不能输0
		            if (item.myPrice == 0) {
		                if (vm.disposalNum == 3 && vm.resourceDetail.isHazardousWaste) {
		                    mui.toast("请切换报价模式",{duration: 3000});
		                    return;
		                }
		                if (vm.disposalNum == 1) {
		                    mui.toast("填写价格必须为正数",{duration: 3000});
		                    return;
		                }
		            }
		        }
		
		        if (vm.differencePrice > 0) { // 差价>0
		            if (vm.disposalNum == 3) { // 模式=3
		                mui.toast("按照报价规则您的报价不能大于您的上一次报价-减价幅度,若部分资源的最低报价-减价幅度<0时报价只能是0",{duration: 3000});
		                return;
		            } else {
		                if (vm.resourceDetail.isFirstOfferPrice && vm.resourceDetail.resourcesType == 1) { //竞拍首次
		                    mui.toast("按照报价规则您的报价不能小于起拍价+加价幅度",{duration: 3000});
		                    return;
		                } else {
		                    mui.toast("按照报价规则您的报价不能小于您的上一次报价+加价幅度",{duration: 3000});
		                    return;
		                }
		            }
		        }
		        if (vm.disposalNum == 2) { // (上次模式=2 && 本次模式==2)//免费模式
		            if (vm.disposalNumOld == 2) {
		                mui.toast("请重新选择处置模式，不能多次免费处置报价",{duration: 3000});
		                return;
		            }
		            if (vm.mySumPrice != 0) {
		                mui.toast("免费处置报价只能是0",{duration: 3000});
		                return;
		            }
		        }
		        if (vm.disposalNum == 1 && vm.resourceDetail.isIgnoreRangeWhenCharge) { // 模式==1 && 忽略幅度  只需大于上次报价
		            if (vm.mySumPrice <= vm.resourceDetail.currentPrice) { // 我的报价 <= currentPrice
		                mui.toast("按照报价规则您的报价必须大于您的上一次报价",{duration: 3000});
		                return;
		            }
		            // 存在当前报价 < 上次报价的子项
		            for (var ind in vm.list) {
		                if (vm.list[ind].myPrice < vm.list[ind].oldPrice) {
		                    mui.toast("按照报价规则您的报价必须大于您的上一次报价",{duration: 3000});
		                    break;
		                }
		            }
		        }


			vm.mySumPrice = this.getTofixed(vm.mySumPrice);// 报价金额只显示2位小数
			if(vm.isSplit){
				var str = "<div style='color: #181818;font-size:14px;font-weight:800;margin-bottom: 10px;'>提示</div><div class='tips'><p>此资源为拆标资源，最终价格以订单显示为准。 请注意，报价提交之后无法修改！</p><div><p class='tip-p'>当前报价:<span class='color-red'>"+accounting.formatMoney(vm.mySumPrice, '￥', 2)+"</span></p></div></div>";
			}else{
				var str = "<div style='color: #181818;font-size:14px;font-weight:800;margin-bottom: 10px;'>提示</div><div class='tips'><p></span>请确认报价,提交之后无法修改哟！</p><div><p class='tip-p'>当前报价:<span class='color-red'>"+accounting.formatMoney(vm.mySumPrice, '￥', 2)+"</span></p></div></div>";
			}
			if (vm.cashDeposit && vm.cashDeposit > 0 && vm.resourceDetail.isFirstOfferPrice && !vm.isSplit) {
				var str = "<div style='color: #181818;font-size:14px;font-weight:800;margin-bottom: 10px;'>提示</div><div class='tips'><p>请确认报价,提交之后无法修改哟！</p><div><p class='tip-p'>当前报价:<span class='color-red'>"+accounting.formatMoney(vm.mySumPrice, '￥', 2)+"</span></p><p class='tip-p'>需冻结保证金:<span class='color-red'>"+accounting.formatMoney(vm.cashDeposit, '￥', 2)+"</span></p></div></div>";
			}else if(vm.cashDeposit && vm.cashDeposit > 0 && vm.resourceDetail.isFirstOfferPrice && vm.isSplit){
				var str = "<div style='color: #181818;font-size:14px;font-weight:800;margin-bottom: 10px;'>提示</div><div class='tips'><p></span>此资源为拆标资源，最终价格以订单显示为准。 请注意，报价提交之后无法修改！</p><div><p class='tip-p'>当前报价:<span class='color-red'>"+accounting.formatMoney(vm.mySumPrice, '￥', 2)+"</span></p><p class='tip-p'>需冻结保证金:<span class='color-red'>"+accounting.formatMoney(vm.cashDeposit, '￥', 2)+"</span></p></div></div>";
			}
			showConfirm(str,['修改报价','确认报价'],function(res){
				if(res){
					plus.key.hideSoftKeybord();					
					return submitFn();
				}
				return;
			});
		},
		getTofixed: function(val) {
			if (val.toString().indexOf('.') != -1) {
		  		if (val.toString().split(".")[1].length>2) {
		  			return Number(val).toFixed(2);
		  		}
		  	}
			return val;
		},
		// 清空内容 如果是为0
		removeIfZero: function(val) {
			val.myPrice = val.myPrice.replace(/[^\d.]/g, "");
			val.myPrice = val.myPrice.replace(/\.{2,}/g, "."); 
			val.myPrice =val.myPrice.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
			val.myPrice = val.myPrice.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3');   
			if (val.myPrice.indexOf(".") < 0 && val.myPrice != "") { 
		        val.myPrice = parseFloat(val.myPrice);
		    };
			val.myPrice = this.getTofixed(val.myPrice);			
			if(val.myPrice < 0) {
				val.myPrice = "";
			};
			if(this.getTofixed(val.myPrice) > 100000000.00) {
				mui.toast('当前报价金额总计不可大于100000000.00元')
				val.myPrice = "";
			}
		}
	},
});
var submitFn = function () {
	// 如果不是第一次 则直接请求
	if(!vm.resourceDetail.isFirstOfferPrice || vm.isBiddingNotPayDeposit) {
		var biddingItemInfo = [];
		for(var i = 0; i < vm.list.length; i++) {
			var item = vm.list[i];
			biddingItemInfo.push({
				ids: item.ids,
				officePrice: item.myPrice
			});
		}		
		officePriceFn(biddingItemInfo);		
	} else {
		// 如果第一次报价 则跳转
		changePage("./confirm-pay.html", "冻结保证金", { 
			mySumPrice: vm.mySumPrice,
			resourceDetail: vm.resourceDetail,
			list: vm.list,
			cashDeposit: vm.cashDeposit,
			disposalMode:vm.disposalNum
		});	
	}
}

mui.init({
	swipeBack: false
});
var officePriceFn = function (biddingItemInfo) {// 请求报价接口
	http.post2(BASE_appBidding + "/OfficePriceForMerge", {
		resourceId: vm.resourceDetail.id,
		officePrice: vm.mySumPrice, 
		biddingItemInfo: biddingItemInfo,
		disposalMode:vm.disposalNum
	}, function(data) {
		console.log('报价成功:'+JSON.stringify(data))
		if(data.result) {
			$.toast("报价成功!");
			mui.fire(plus.webview.currentWebview().opener(), 'reloadResourceDetail');
			mui.fire(plus.webview.currentWebview().opener(), 'updateList'); // 我的报价页面
			mui.fire(plus.webview.getWebviewById('/side.html'),'reloadNum',{});
			setTimeout(function() {
				mui.back();
			}, 300);
		} else {
			$.toast("报价失败!");
		}
	}, function(xhr,type,thr) {
		error_code_handle(xhr,type,thr);
	});
}

$.plusReady(function() {
	setStatistic("continueQuote",{});
	var curr = plus.webview.currentWebview();
	vm.pId = curr.pId;
	vm.isSplit = curr.isSplit;
	vm.cashDeposit = curr.cashDeposit;
	vm.resourceDetail = curr.resourceDetail || vm.resourceDetail; 
	vm.resourceDetail.id = curr.pId;
	vm.currMaxSumPrice = vm.resourceDetail.currentPrice; // 最低应该报的总价
	vm.isBiddingNotPayDeposit = curr.isBiddingNotPayDeposit;
	getResourceInfo(vm.pId)
	// 获取资源信息
	function getResourceInfo(pId, pType) {
		http.post2(BASE_appBidding + "/GetBiddingInfo", {
			id: pId
		}, function(data) {
			console.log('获取资源信息'+JSON.stringify(data));		
			vm.resourceDetail = data.result;
			if(vm.resourceDetail.isFirstOfferPrice){
				vm.isRegister  = false
			}else{
				vm.isRegister  = true 
			}
			vm.listChange = data.result.disposalModeList;
			vm.listChange.map(function(item){
				item['value'] = item['id'];
				item['text'] = item['name'];	
				vm.disposalNum = item.id;//1 == 付费 ，2 == 免费 ， 3 == 收费
				vm.disposalNumOld = item.id;//上次选择模式ID
				vm.disposal = item.name;
				vm.disposalOld = item.name;																
			});	
			vm.resourceDetail.id = pId;
			vm.currMaxSumPrice = vm.resourceDetail.currentPrice;
			vm.list = data.result.resourceItems.map(function(item) {
				vm.currMaxSumPrice += parseFloat(item.everBidIncrement) * item.number;
				vm.currentSumStartPrice += (item.startPrice) * item.number; // 总的起拍价
				vm.everBidIncrementTotal += item.everBidIncrement;
				if(item.myPrice == -1) { 
					item.myPrice = 0
				};
				vm.myPriceTotal += (item.myPrice * item.number);//差价
				return $.extend(item, {
					price: 0,
					totalPrice: 0,
					myPrice: vm.resourceDetail.isFirstOfferPrice && vm.resourceDetail.resourcesType == 5 ? 0 : item.myPrice, // 我的报价
					oldPrice : vm.resourceDetail.isFirstOfferPrice && vm.resourceDetail.resourcesType == 5 ? 0: item.myPrice ,
					oldTotalPrice: (vm.resourceDetail.resourcesType  == 1 && vm.resourceDetail.isFirstOfferPrice) ? item.startPrice * item.number : item.myPrice * item.number
				});
				
			});
			vm.differencePrice = Number(vm.resourceDetail.myCurrentOfferPrice) + Number(vm.resourceDetail.everBidIncrement) - Number(vm.myPriceTotal)//总差价
			if(vm.resourceDetail.isHighOfferOwner){//竞卖  加价幅度
				vm.differencePrice = Number(vm.resourceDetail.myCurrentOfferPrice) + Number(vm.resourceDetail.everBidIncrement) - Number(vm.myPriceTotal)//总差价			
			}else{//招标  减价幅度
				vm.differencePrice = Number(vm.myPriceTotal) + Number(vm.resourceDetail.everBidIncrement) - Number(vm.resourceDetail.myCurrentOfferPrice)//总差价	
			}
			// 计算总价
			vm.setTotalPrice();
			initSlidebar() 
		}, function(xhr) {
			error_code_handle(xhr,type,thr); 
		});
	}

	// 初始化推荐报价的滚动条
	function initSlidebar() {
		vm.$nextTick(function() {
			if($("#hk-val").length < 1) return;
			$("#hk-val")[0].addEventListener('input', function() {
				var val = Number(this.value);
				var bf = Number(val / vm.hsum * 100);
				vm.nRange = val / 50;
				this.style.backgroundSize = bf + "% 100%";

				$.each($(".hk-value i"), function(index, item) {
					if(bf < item.getAttribute("types")) {
						item.classList.remove("type1");
						item.classList.add("type2");
					} else {
						item.classList.remove("type2");
						item.classList.add("type1");
					}
				});
			});
		});
	}

});