(function(g,m){
	m.init({
		 gestureConfig:{
		   doubletap: false, //默认为false
		   longtap: false, //默认为false
		   isOutsideSeller:null,
		   companyType: '', // 公司身份类型
		  }
	});
	
	Vue.filter("toPrice", function(item) {
		var reg = /^[0-9]+.?[0-9]*$/;
		if(!reg.test(item)) {
			return item;
		} else if(item.toString().indexOf('.') != -1) {
			if(item.toString().split(".")[1].length > 2) {
				item = Number(item).toFixed(2);
			}
		}

		return '￥' + item;
	});
	Vue.filter("toPhone", function(str) {
		var phone = str;
		if(!getState().token && phone) {
			return phone.slice(0, 3) + "****" + phone.slice(-3);
		}
		return phone;
	});
	
	var vm = new Vue({
		el: '.mui-content',
		data: function() {
			return {
				loadingList: true,
				imgsetw: 0,
				login: false, 
				share: false, 
				popup: false,
				pId: null,
				pType: null, 
				infoView: true,
				res: {}, // 资源信息
				cerficationImg: '../../images/membersPower/icon_cx@2x.png', // 长协图标
				registerImg: '../../images/membersPower/icon_zc@2x.png', // 注册图标
				verifiedImg: '../../images/membersPower/img_rz@2x.png', // 已认证图标
				result:{},//判定
				companyName:''
			}
		},
		methods:{
			shareToggle: function() { // 分享
				this.share = !this.share;
			},
			callPhone: function() { // 拨打电话
				if(getState().token) {
					plus.device.dial(this.res.operatePhoneNumber, true);
				} else {
					if (vm.res.supplyAndDemandType==1) {
						setStatistic("getContactSup");
					}else {
						setStatistic("getContactDem");
					}
					pullfreshPage('../user/login-frame.html', '../user/login.html', '登录');
				}
			},
			shareTap: function(id, ex) { // 分享到...
				var uri = '';
				var str = "";
				if(this.res.thumbnailResourceAttaches) {
					uri = this.res.thumbnailResourceAttaches[0].url;
					str = this.res.resourceName;
				} else {
					uri = this.res.imgUrl;
					str = this.res.name;
				}

				var reg = new RegExp("h_500,w_500", "g"); //创建正则RegExp对象  
				var stringObj = uri;
				uri = stringObj.replace(reg, "h_100,w_100");
				
				console.log(uri)
				
            	var urlLine = COMMON_URL+'/HotSupplyAndOrder/SupplyAndOrderListDetails?menu=SupplyAndOrderList&id=' + this.pId;
				console.log(uri);
				var sObj = {
					url: urlLine,
					title: plus.webview.currentWebview().pathName,
					img: uri,
					content: str
				}
				shareAction(sObj, id, ex);
				m.later(function() {
					vm.shareToggle();
				}, 500);
			},
			// 会员服务
			membersPower: function() {
				console.log('公司身份类型:', vm.companyType)
				/* 如果已登陆跳转会员服务页面，未登录跳登录页面 */
				if (getState().token) {
					changePage('/templates/user/members-power.html', '会员服务', {
						bottom:44, 
						companyType: vm.companyType
					})
				} else {
					pullfreshPage('../user/login-frame.html', '../user/login.html', '登录');
				}
			},
		}
	});
	
	
	var getInfo = function(pId, userNotificationId, isIndividualPush) {
		vm.loadingList = true;
		var _url = BASE_appSupplyandDemandService + "/GetSupplyAndDemandsDetailById";
		http.post(_url, { 
			id: pId,
			userNotificationId: userNotificationId || "",
			isIndividualPush: isIndividualPush || false
		},10000, function(data) { 
			console.log('资源详情data：'+JSON.stringify(data)) 
			vm.loadingList = false;
			if (!data.result) {
				plus.nativeUI.toast("加载失败,重新访问试试~",{verticalAlign:"center"});
				mui.back();
				return;
			}						
			vm.companyType = data.result.companyType; // 公司身份类型
			console.log('公司身份类型companyType:' +vm.companyType)
			vm.companyName = data.result.companyName; // 公司身份类型companyName
			console.log('公司名称companyName:' +vm.companyName) 
			vm.isOutsideSeller = data.result.isOutsideSeller
			vm.res = data.result; 
			  
			vm.infoView = false;
			vm.$nextTick(function() {
				if(mui('.mui-slider') && data.result.resourceAttaches) {
					if(data.result.resourceAttaches.length < 2) {
						return;
					}
					var gallery = mui('.mui-slider');
					gallery.slider({
						interval: 3000
					});
				}
			});

		}, function(xhr, type, thr) {
			plus.nativeUI.toast("加载失败,重新访问试试~",{verticalAlign:"center"});
			vm.loadingList = false; 
			mui.back();
		});
	}
	var getInfoOne = function(callback){
		var ws = plus.nativeUI.showWaiting();
		http.post(BASE_appUser + "/GetUserAuthorizationInfo", {},function(data) {
			ws.close()
			console.log('权限:'+JSON.stringify(data))
			vm.result = data.result;
			console.log(JSON.stringify(vm.result))
			callback&&callback();
		}, function(xhr, type, thr) {
			ws.close()
			mui.toast("获取用户失败");
		});
	}
	
	m('.mui-scroll-wrapper').scroll({
		indicators: true //是否显示滚动条
	});
	
	m.plusReady(function() {
		if(getState().token){
			getInfoOne()
		}
		
		var curr = plus.webview.currentWebview();
		curr.setStyle({
			bounce: "none",
			background: "#f4f4f4"
		});
		
		vm.imgsetw = m(".mui-content")[0].offsetWidth; // 设置轮播高度
		
		vm.pId = curr.pId;
		vm.pType = curr.pType;
		
		getInfo(vm.pId, curr.userNotificationId, curr.isIndividualPush);
		
		if(getState().token) {
			vm.login = true;
		}
		window.addEventListener("loginRefresh", function(e) {
			vm.login = e.detail.login;
		});
		
		// 重新加载数据
		window.addEventListener("reloadResourceDetail", function() {
			console.log('curr.pId:'+ curr.pId)
			getInfo(curr.pId);
			getInfoOne()
		});
		
		// 估计是解决ios系统滚动页面时兼容问题
		var agent = navigator.userAgent.toLowerCase();
		var iLastTouch = null;
		if (agent.indexOf("iphone") >= 0 || agent.indexOf("ipad") >= 0) {
		    document.body.addEventListener("touchend", function (event) {
		        var a = new Date().getTime();
		        iLastTouch = iLastTouch || a + 1;
		        var c = a - iLastTouch;
		        if (c < 500 && c > 0) {
		            event.preventDefault();
		            return false;
		        }
		        iLastTouch = a
		    }, false);
		};
	})
}(window,mui))