var imm, InputMethodManager;

/**
 * 原生键盘
 */
var initNativeObjects = function() {
    if (mui.os.android) {
        var main = plus.android.runtimeMainActivity();
        var Context = plus.android.importClass("android.content.Context");
        InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
        imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
    } else {
        var nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
    }
};

/**
 * 强制获取焦点
 */
var showSoftInput = function() {
    var nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
    if (mui.os.android) {
        //强制当前webview获得焦点
        plus.android.importClass(nativeWebview);
        nativeWebview.requestFocus();
        //强制弹出键盘
        mui.later(function(){
        	imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
        },500)
    } else {
        nativeWebview.plusCallMethod({
            "setKeyboardDisplayRequiresUserAction": false
        });
    }
    setTimeout(function() {
       //此处可写具体逻辑设置获取焦点的input
       var inputElem = document.querySelector('input');
              inputElem.focus(); 
    }, 200);
};

/**
 * 获取经纬度，及城市信息
 */
var getLat = function () {
	var state = getState();
	plus.geolocation.getCurrentPosition(function(p){
		state.latitude = p.coords.latitude;
		state.longitude = p.coords.longitude;
		setState(state);
	}, function(e){
		console.log('Geolocation error: ' + e.message);
		if (arguments[0] > 0) {
			mui.later(function(){
				arguments.callee(arguments[0]-1);
			},1000)
		}
	});
}


/**
 * 将图片压缩转换为base64字符串函数
 */
function reSizeImg(imgURL, uploadFunction) {
	// 兼容以“file:”开头的情况
	var ws = plus.nativeUI.showWaiting("上传中请稍等...", {
		back: "none"
	});
	if (0 != imgURL.toString().indexOf("file://")) {
		imgURL = "file://" + imgURL;
	}
	var _img_ = new Image();
	_img_.src = imgURL; // 传过来的图片路径在这里用。
	//	_img_.onclick = function() {//图片点击钓鱼本地相册事件
	//		plus.runtime.openFile(imgURL);
	//	};
	_img_.onload = function() {
		var tmph = _img_.height;
		var tmpw = _img_.width;
		var isHengTu = tmpw > tmph;
		var max = Math.max(tmpw, tmph);
		var min = Math.min(tmpw, tmph);
		var bili = min / max;
		if (max > 200) {
			max = 200;
			min = Math.floor(bili * max);
		}
		tmph = isHengTu ? min : max;
		tmpw = isHengTu ? max : min;
		plus.io.resolveLocalFileSystemURL(imgURL, function(entry) {
				entry.file(function(file) {
					canvasResize(file, {
						width: tmpw,
						height: tmph,
						crop: false,
						quality: 50, //压缩质量
						rotate: 0,
						callback: function(data, width, height) {
							//							console.log('图片的宽:  ' + width + "\n图片的高:  " + height);
							//							console.log(JSON.stringify(data).length)
							uploadFunction(data.split(',')[1]);
							ws.close();
						}
					});
				});
			},
			function(e) {
				plus.toast(e.message);
				ws.close();
			});
	};
};

/*
 * 倒计时 传入秒数
 * */

var setTiem = function(t) {
	if(t > 0) { 
		t = Math.floor(t * 1000);
		var h = Math.floor((t / 3600000) % 24); //带天数
		var m = Math.floor((t / 60000) % 60);  
		var s = Math.floor((t / 1000) % 60);

		var items = {
			d: Math.floor(t / 86400000),
			h: h < 10 ? "0" + h : h,
			m: m < 10 ? "0" + m : m,
			s: s < 10 ? "0" + s : s,
			content: ''
		}

		return items;

	} else {
		var items = {
			content: '已结束'
		}
		return items;
	}

}

var saveImg = function (domId) {
	//生成截图
    html2canvas(document.getElementById(domId)).then(function(canvas) {
    	var dataUrl = canvas.toDataURL('image/png');
        var newImg = document.createElement("img");
        newImg.src =  dataUrl;
        
        var bitmap = new plus.nativeObj.Bitmap();
	        // 从本地加载Bitmap图片
	        bitmap.loadBase64Data(newImg.src, function() {
	            bitmap.save("_doc/"+ new Date().getTime()+''+Math.floor(Math.random()*10000) +".jpg", {
	                overwrite: true
	            }, function(i) {
	                    plus.gallery.save(i.target, function () {
							plus.nativeUI.toast("保存图片到相册成功",{verticalAlign:"center"});
							plus.io.resolveLocalFileSystemURL(i.target, function( entry ) {
								entry.remove( function ( entry ) {
									console.log( "删除成功" );
								}, function ( e ) {
									alert( e.message ); 
								} );
							}, function ( e ) {
								alert( "Resolve file URL failed: " + e.message );
							} );
						});
	                    
	            }, function(e) {
	                console.log('保存图片失败：' + JSON.stringify(e));
	            });
	        }, function(e) {
	            console.log('加载图片失败：' + JSON.stringify(e));
	        });
        
        
    });

}