(function($) {
		var vm = new Vue({
			el: '.mui-content',
			data: {
				time: 0, // 初始化获取验证码倒计时
				initBankInfo: '', // 初始化绑定银行卡，获取到的信息
				bankList: '', // 银行信息列表
				searchBankList: '', // 搜索银行列表
				isShowBankItem: false, // 是否显示银行卡选择列表
				numProList: '', // 银行账号性质列表
				isButton: true,
				isCanSave:false, // 高亮立即绑定
				isShowProList: false, // 是否显示银行账号性质列表
				token: '', // 获取token
				temp: [],
				param: {
					receivableBank: '', // 开户银行
					openBranch: '', // 开户支行
					openAccount: '', // 开户账号
					securityCode: '', // 短信验证码
					accountType: '付款账号', // 银行账号类型
					bankAccountNature: 0, // 银行账号性质key
				},
				paramOther: {
					PhoneNumber: '',
					isValidNum: false,
				}
			},
			methods: {
				//获取验证码
		        getValidNum:function(){
		        	var _this = this;
		            var phoneNumber = this.paramOther.PhoneNumber;
		          	if (this.time > 0) {return;}
		            getCodeSms(); // 验证码请求接口
				},
				/**
				 * @description 获取银行列表
				 */
				getBankList: function() {
					var _this = this;
					http.post(BASE_appUser + '/GetBankList', {}, function(data) {
						if (data.success === true) {
							_this.bankList = data.result;
							console.log('银行卡列表', JSON.stringify(_this.bankList))
						}
					}, function(xhr,type,thr) {
						$.toast(xhr.responseText);
					}, true);
				},
				/**
				 * @description 本地搜索银行卡 
				 */
				searchBank: function() {
//					if(this.param.receivableBank == "") return;
					this.bankCardFn();
				},
				/**
				 * @description 银行卡搜索及聚焦 
				 */
				bankCardFn: function() {
					this.searchBankList = []; // 每次触发事件都要清空银行卡列表
					this.isShowBankItem = true;
					var list = this.bankList;
					for(var item in list) {
						if(list[item].bankName.indexOf(this.param.receivableBank) != -1) {
							this.searchBankList.push(list[item]); // push到银行卡列表
						}
					}
				},
				/**
				 * @description 获取银行账号类型列表
				 */
				queryNumProperty: function() {
					var _this = this;
					_this.token = getState().token;
					http.post(BASE_appWalletService + '/GetBankAccountNatures', {}, function(data) {
						console.log('银行账号性质列表:', JSON.stringify(data));
						if (data.success === true) {
							_this.numProList = data.result;	
						}
					}, function(xhr,type,thr) {
						$.toast(xhr.responseText);
					}, true);
					
				},
				/**
				 * @description 银行账号类型列表显示
				 * 账号类型二次封装为value, text数组形式传向picker
				 */
				numProperty: function(event) {
					var _this = this,  result = new Array(), numProList = this.numProList;
					event.target.focus();
					for (var i = 0; i < numProList.length; i++) {
						var temp = new Object();
						temp.value = numProList[i].bankAccountNature;
						temp.text = numProList[i].bankAccountNatureName;
						result.push(temp);
						result.concat(result);
					}
					var roadPick = new mui.PopPicker({
						layer: 1
					});
					roadPick.setData(result);
					roadPick.show(function(selectItems){
						console.log('selectItems:', JSON.stringify(selectItems))
						for (var i = 0; i < selectItems.length; i++) {
							_this.param.accountType = selectItems[i].text; //数据放置的位置
							_this.param.bankAccountNature = selectItems[i].value; // 类型
						}
					})
				},
				/**
				 * @description 聚焦时验证是否高亮立即绑定按钮
				 */
				verifyHighlight: function(){
					var bank = this.param.receivableBank.length; // 开户银行
					var branch = this.param.openBranch.length; // 开户支行
					var account = this.param.openAccount.length; // 开户账号
					var code = this.param.securityCode.length; // 验证码
					var type = this.param.accountType.length; // 账号类型
					this.isCanSave = false;
					console.log('bank:', bank + 'branch:', branch + 'account:', account + 'code：', code + 'type：', type)
					if (bank > 0 && branch > 0 && account > 0 && code > 0 && type > 0) {
						console.log('errr')
						this.isCanSave = true;
					}
				},
				/**
				 * @description 失去焦点时隐藏银行选择列表 
				 * params: param失去焦点的表单类型
				 */
				isFocus: function(param) {
					var _this = this;
					switch (param) {
						case 'bank':
							_this.verifyBank();
							_this.isShowBankItem = false;
							break;
						case 'branch':
							_this.verifyBranch();
							break;
						case 'code':
							_this.verifyCode();
							break;
						case 'account':
							_this.verifyAccount();
							break;
						case 'type':
							_this.verifyType();
							break;
						default:
							break;
					}
					
				},
				/**
				 * @description 验证开户银行规则： 1、不能为空
				 */
				verifyBank: function() {
					var _this = this;
					if(_this.param.receivableBank === '') {
						$.toast("开户银行不能为空");
					}
				},
				/**
				 * @description 验证开户支行规则: 1、不能为空
				 */
				verifyBranch: function() {
					var _this = this;
//					var str = /^[\u2E80-\u9FFF]+$/ //  replace(/\s+/g,"")Unicode编码中的汉字范围
					var str = /^[A-Za-z0-9\u4e00-\u9fa5]+$/; // 只能为汉字英文数字
					if(_this.param.openBranch === '') {
						$.toast("开户支行不能为空");
					} else if(!str.test(_this.param.openBranch)) {
						$.toast('开户支行只能输入汉字英文数字');
					}
				},
				/**
				 * @description 验证开户账号规则：1、不能为空；2、只能为数字且不能超过28位；
				 */
				verifyAccount: function() {
					var _this = this;
					var str = /^[0-9]*$/;
					if(_this.param.openAccount === '') {
						$.toast("开户账号不能为空");
					} else if (!str.test(_this.param.openAccount)){
						$.toast("开户账号账号只能为数字");
					} else if(_this.param.openAccount.length > 28) {
						$.toast("开户账号最长为28位数字");
					}
				},
				/**
				 * @description 验证验证码规则：1、不能为空；2、只能为4位数的数字；
				 */
				verifyCode: function() {
					var reg = /^\d{4}$/;
					var str = /^[0-9]*$/;
					if(this.param.securityCode === '') {
						$.toast("验证码不能为空");
					} else if (!str.test(this.param.securityCode) || !reg.test(this.param.securityCode)){
						$.toast("验证码有误");
					}
				},
				/**
				 * @description 验证银行账号类型： 1、不能为空；2、只能为汉字
				 */
				verifyType: function() {
					var str = /^[\u2E80-\u9FFF]+$/ // Unicode编码中的汉字范围
					if(this.param.accountType === '') {
						$.toast("银行账号类型不能为空");
					}
				},
				/**
				 * @description 选择检索的银行 及 银行账号类型
				 *  param: param银行列表、银行性质不同类型； name检索选择的是银行列表或银行性质列表
				 */
				selectItem: function(name, param, status) {
					var _this = this;
					switch (param) {
						case 'bank':
							_this.param.receivableBank = name;
							_this.isShowBankItem = false;
							break;
						case 'type':
							_this.param.accountType = name;
							_this.bankAccountNature = status;
							break;
						default:
							break;
					}
				},
				/**
				 * @description 重置后清空数据
				 */
				resetInput: function() {
					this.param.receivableBank = ''; // 开户银行
					this.param.openBranch = ''; // 开户支行
					this.param.openAccount = '';  // 开户账号
					this.param.securityCode = ''; // 短信验证码
				},
				/**
				 * @description 立即绑定
				 */
				queryBind: function(ev) {
					ev.target.focus(); //按钮获取焦点关闭软键盘	
					var _this = this;
					var param = {
						bankName: _this.param.receivableBank, // 开户银行
						branch: _this.param.openBranch, // 开户支行
						bCard: _this.param.openAccount, // 开户账号
						vailCode: _this.param.securityCode, // 短信验证码
						bankAccountnature: _this.param.bankAccountNature, // 银行账号类型
					}
					console.log('立即绑定参数：', JSON.stringify(param));
					_this.verifyBank(); // 验证开户银行
					_this.verifyBranch(); // 验证开户支行
					_this.verifyAccount(); // 验证开户账号
					_this.verifyCode(); // 验证验证码
					_this.verifyType(); // 验证银行账号类型
					$(ev.target).button('loading');
					http.post(BASE_appWalletService + "/CreateBankCardForApp",{
            			bankName: _this.param.receivableBank, // 开户银行
						branch: _this.param.openBranch, // 开户支行
						bCard: _this.param.openAccount, // 开户账号
						vailCode: _this.param.securityCode, // 短信验证码
						bankAccountnature: _this.param.bankAccountNature, // 银行账号类型
            		},function (data) {
            			$(ev.target).button('reset');
            			if (data.success === true) {
            				$.toast('绑定成功');
            				mui.fire(plus.webview.currentWebview().opener(),'getBankInfo',{});
                        	mui.later(function() {
								mui.back();
							}, 200)
            			}
	            	},function (xhr,type,thr) {
	            		$(ev.target).button('reset');
	            		vm.resetInput();
	            	}, true);
				},
			},
		});  
					
		mui.plusReady(function () {
			vm.initBankInfo = plus.webview.currentWebview().initBankInfo;
			vm.getBankList();
			vm.queryNumProperty();
		})
		var getCodeSms = function () {
			console.log('验证码手机号：', typeof (vm.paramOther.PhoneNumber))
			http.post(HOST_URL + "PersonalCenter/CreateBankCardVailCodeForPhone", {}, function(data) {
				console.log("获取验证码：" + JSON.stringify(data));
				if (data.success === true && data.result.code === '00') {
					$.toast(data.result.msg);
					setTime(60);
				} else {
					$.toast(data.result.msg);
				}
			}, function(xhr, type, thr) {
				/*plus.nativeUI.toast("获取验证码失败", {
					verticalAlign: "center"
				});*/
			}, true);
		}
		var setTime = function (time) {
	        vm.time = parseInt(time) - 1;
	        if ( vm.time == 0) {
	        	return;
	        } else {
	        	mui.later(function(){
	        		setTime(vm.time);  
	        	},1000);
	        }
	    }
	})(mui);