(function($) {				
	var vm = new Vue({
		el: '.mui-content',
		data: {
			phone: '', // 新手机号
			codeNum:'',//验证码
			isPhoneCode: false, // 是否发送了验证码
			phoneCodeBtnText: '获取验证码',
			isState: { // 显示状态 0表示未验证 	1表示验证成功 		2表示验证错误
				phoneNumber: 0,
				codeNum: 0,
				newPassword: 0,
				newPasswordConfirm: 0
			}
		},
		mounted:function(){
			var _this = this;
			$.plusReady(function() {
				if(/^\d{11}$/.test(plus.webview.currentWebview().phone)){
					_this.param.phoneNumber = plus.webview.currentWebview().phone;
				}
			})
		},
		methods: {
			resetPwd: function(ev) {//修改手机号
				setStatistic("resetPwd");
    			ev.target.focus(); //按钮获取焦点关闭软键盘							
				if (this.phone == "") {
					$.toast("手机号码不能为空");
					this.isState.phoneNumber = 2;
					return;
				}
				if (this.codeNum == "") {
					$.toast("手机验证号码不能为空");
					this.isState.phoneNumber = 2;
					return;
				}
				var ws = plus.nativeUI.showWaiting();
				http.post(BASE_appUser+"/UpdateLoginPhoneNumber", {phoneNumber:this.phone,smsCode:this.codeNum}, function(data) {
					ws.close()
					if (data.success == true) {
						$.toast("修改手机号成功");						
						pullfreshPage('../user/login-frame.html', '../user/login.html', '登录',{changPhone:true});
					} else {
						$.toast(data.error.message)
					}
				}, function(xhr, type, thr) {
					ws.close()
					var result = JSON.parse(xhr.response);
					$.toast(result.error.message)
				});
			},
			getPhoneCode: function() {//获取手机验证码
				setStatistic("getPwdValidNum");
				var _this = this;
				if (this.phone == '') {
					$.toast('请输入手机号');
					_this.isState.phoneNumber = 2;
					return;
				}
				if (!this.isPhoneNumber(this.phone)) {
					$.toast('请输入正确的手机号');
					_this.isState.phoneNumber = 2;
					return;
				}
				_this.isState.phoneNumber = 1;
				_this.isPhoneCode = true;
				_this.phoneCodeBtnText = '正在获取...';
				http.post(BASE_appUser+'/GetVailCodeWithPhoneNumber',{id:this.phone},function(data) {
					if (data.success) {
						var time = 60;
						var setTimer = setInterval(function() {
							if(time == 0){
								_this.isPhoneCode = false;
								_this.phoneCodeBtnText = '获取验证码';
								clearInterval(setTimer);
							}else{
								_this.isPhoneCode = true;
								_this.phoneCodeBtnText = time + 's后重新获取';
								time--;
							}														
						},1000);
					} else {
						_this.isPhoneCode = false;
						_this.phoneCodeBtnText = '获取验证码';
						$.toast(data.result);
					}
				}, function(xhr, type, thr) {
					_this.isState.phoneNumber = 2;
					_this.isPhoneCode = false;
					_this.phoneCodeBtnText = '获取验证码';
					var result = JSON.parse(xhr.response);
					$.toast(result.error.message)
				});
			},
			
						
			/**
			 * @description 检验电话号码有效性
			 * @param {String} value 电话号码
			 */
			isPhoneNumber: function (value) {
				var myreg=/^[1][3,4,5,7,8][0-9]{9}$/;
		        if (!myreg.test(value)) { 
		            return false;  
		        } else {  
		            return true;  
		        }  
			}
		}
	})
	$.plusReady(function() {
		setStatistic("forgetPwd");
	});
})(mui);